## Package org.apache.log4j.config

Package used in getting/setting component properties.

See:
Description

Interface Summary
PropertyGetter.PropertyCallback

Class Summary
PropertyGetter: Used for inferring configuration information for a log4j's component.
PropertyPrinter: Prints the configuration of the log4j default hierarchy (which needs to be auto-initialized) as a propoperties file on a `PrintWriter`.
PropertySetter: General purpose Object property setter.

Exception Summary
PropertySetterException: Thrown when an error is encountered whilst attempting to set a property using the `PropertySetter` utility class.

## Package org.apache.log4j.config Description

Package used in getting/setting component properties.

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.